Skip to content

Returns list of credit bureau reported accounts for a user

Request

This API returns a list of connected accounts and unconnected accounts. A connected account is an account that has been found in the credit file and the associated banking connection has been made for this account.

Security
Bearer(Required scopes: api:cis)
Path
userIdstring, (uuid)required

Id of the User

curl -i -X GET \
  'https://uk.api.atto.co/connect/users/v1/{userId}/accounts' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful response

Bodyapplication/json
userIdstring, (uuid)

Id of the User

connectedAccountsArray of objects or null(Atto.ConnectAPI.Service.Models.User.Accounts.ConnectedAccount)

List of Credit Accounts Successfully Connected

unConnectedAccountsArray of objects or null(Atto.ConnectAPI.Service.Models.User.Accounts.UnConnectedAccount)

List of Credit Accounts UnConnected

verificationErrorobject(Atto.ConnectAPI.Service.Models.User.Accounts.VerificationError)
Response
{ "userId": "a0d4bcfb-daba-427a-9ce1-0cd6e53d2625", "connectedAccounts": [ { … }, { … } ], "unConnectedAccounts": [ { … } ], "verificationError": null }